gr::dab::puncture_bb Class Reference

puncturing of a stream sequence More...

`#include <puncture_bb.h>`

Inheritance diagram for gr::dab::puncture_bb:
[legend]

## Public Types

typedef std::shared_ptr< puncture_bb > | sptr

## Static Public Member Functions

static sptr | make (const std::vector< unsigned char > &puncturing_vector)
| Return a shared_ptr to a new instance of dab::puncture_bb.

## Detailed Description

puncturing of a stream sequence

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<puncture_bb> gr::dab::puncture_bb::sptr

## Member Function Documentation

## make()

sptr gr::dab::puncture_bb::make | ( | const std::vector< unsigned char > & | puncturing_vector | ) |

static

Return a shared_ptr to a new instance of dab::puncture_bb.

To avoid accidental use of raw pointers, dab::puncture_bb's constructor is in a private implementation class. dab::puncture_bb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- puncture_bb.h